version: "3.5"
services: 
    webserver:
        build: ../../build
        networks: [moodle]
        ports:
            - "80:80" 
            - "443:443"
        volumes: 
            - ../../pencil:/opt/moodle
            - ../artifacts:/artifacts
    mssql:
        image: mcr.microsoft.com/mssql/server:2017-latest
        networks: [moodle]
        environment: 
            - SA_PASSWORD=P@ssw0rd
            - ACCEPT_EULA=Y
        volumes:
            - ../db_dir/mssql:/var/opt/mssql/data
networks: 
    moodle:
        name: moodle
